Actually, switching to IE worked just fine for me (sorry, I should
have mentioned that earlier).  Loft_Tester reminded me that I forgot
to include the JSSH extension as I was installing everything.  It's
working just fine now...thanks for the help!

-George

On Jun 8, 2:25 pm, Chuck van der Linden <sqa...@gmail.com> wrote:
> I would also make sure you have all the proper gem's installed and
> updated.   This sounds similar to some other issues people have had
> with some win32 related stuff that Watir needs..
>
> If you search the group for "Win32" you'll find some threads related
> to that, might want to peruse them and try the fixes identified, maybe
> that one of them will solve your problem.
>
> Also, if you switch the browser to IE, does it work? or do you get the
> same error?  that might be telling as to if this is something specific
> to FF or not.
>
> On Jun 8, 1:45 pm, Loft_Tester <aaronr...@gmail.com> wrote:
>
>
>
> > try the firewatir unit test to see if their stuff runs.  Did you
> > install the jssh for your version of firefox?
>
> > On Jun 8, 4:20 pm, George <george.sand...@gmail.com> wrote:
>
> > > Hello,
>
> > > I had to get a new hard drive and reinstall Ruby and Watir.  I'm
> > > pretty sure everything is set up...however, I'm getting a weird error
> > > when I attempt to open a Firefox browser.
>
> > > The code:
> > > ***********************************
> > > require 'watir'
> > > Watir::Browser.default = 'firefox'
> > > $browser = Watir::Browser.new
> > > ***********************************
>
> > > The error:
> > > ***********************************
> > > C:/Ruby/lib/ruby/1.8/win32/registry.rb:528:in `open': The system
> > > cannot find the file specified. (Win32::Registry::Error)
> > >         from C:/Ruby/lib/ruby/1.8/win32/registry.rb:608:in `open'
> > >         from C:/Ruby/lib/ruby/gems/1.8/gems/firewatir-1.6.2/lib/firewatir/
> > > firefox.rb:141:in `initialize'
> > >         from C:/Ruby/lib/ruby/gems/1.8/gems/commonwatir-1.6.2/lib/watir/
> > > browser.rb:65:in `new'
> > >         from C:/Ruby/lib/ruby/gems/1.8/gems/commonwatir-1.6.2/lib/watir/
> > > browser.rb:65:in `new'
> > >         from test2.rb:3
>
> > > Any help would be most appreciated, thanks!- Hide quoted text -
>
> > - Show quoted text -
--~--~---------~--~----~------------~-------~--~----~
You received this message because you are subscribed to the Google Groups 
"Watir General" group.
To post to this group, send email to watir-general@googlegroups.com
Before posting, please read the following guidelines: 
http://wiki.openqa.org/display/WTR/Support
To unsubscribe from this group, send email to 
watir-general-unsubscr...@googlegroups.com
For more options, visit this group at 
http://groups.google.com/group/watir-general
-~----------~----~----~----~------~----~------~--~---

Reply via email to